Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.memoryuse
Class MemoryUseSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<MemoryUseStatisticPoint>
          org.optaplanner.benchmark.impl.statistic.memoryuse.MemoryUseSingleStatistic

    public class MemoryUseSingleStatistic

extends SingleStatistic<MemoryUseStatisticPoint>

Field Summary

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`singleBenchmarkResult, statisticType`

Constructor Summary
`MemoryUseSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`
`MemoryUseSingleStatistic(SingleBenchmarkResult singleBenchmarkResult, long timeMillisThresholdInterval)`

Method Summary
`void` | `close(Solver solver)`
`protected MemoryUseStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`List<MemoryUseStatisticPoint>` | `getPointList()`
`void` | `open(Solver solver)`
`void` | `setPointList(List<MemoryUseStatisticPoint> pointList)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getCsvFile, getCsvFilePath, getStatisticType, readCsvStatisticFile, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryUseSingleStatistic

    public MemoryUseSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

### MemoryUseSingleStatistic

    public MemoryUseSingleStatistic(SingleBenchmarkResult singleBenchmarkResult,
                                    long timeMillisThresholdInterval)

Method Detail

### getPointList

    public List<MemoryUseStatisticPoint> getPointList()

  Specified by:
    `getPointList` in class `SingleStatistic<MemoryUseStatisticPoint>`

### setPointList

    public void setPointList(List<MemoryUseStatisticPoint> pointList)

  Specified by:
    `setPointList` in class `SingleStatistic<MemoryUseStatisticPoint>`

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<MemoryUseStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<MemoryUseStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<MemoryUseStatisticPoint>`

### createPointFromCsvLine

    protected MemoryUseStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                             List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<MemoryUseStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.